Browse Source

Initial revision

Paul Eggert 28 years ago
parent
commit
5830fe2195
1 changed files with 18 additions and 0 deletions
  1. 18 0
      tests/version.sh

+ 18 - 0
tests/version.sh

@@ -0,0 +1,18 @@
+#! /bin/sh
+# Check if the proper version is being tested.
+
+. ./preset
+PATH=../src:$PATH
+
+if test -n "`$PACKAGE --version | sed -n s/$PACKAGE.*$VERSION/OK/p`"; then
+  banner="Regression testing for GNU $PACKAGE, version $VERSION"
+  dashes=`echo $banner | sed s/./=/g`
+  echo $dashes
+  echo $banner
+  echo $dashes
+else
+  echo '=============================================================='
+  echo 'WARNING: Not using the proper version, *all* checks dubious...'
+  echo '=============================================================='
+  exit 1
+fi